/*ТЕОРЕТИЧНІ ПИТАННЯ

1. Що таке цикл в програмуванні?
Цикл - це структура управління, яка дозволяє виконувати блок коду, поки задана умова є істинною.

2. Які види циклів є в JavaScript і які їх ключові слова?
В JS є 3 види циклів:
Цикл for
Цикл while
Та цикл do while

3. Чим відрізняється цикл do while від while?
На відміну від циклу while, цикл do while завжди виконує оператор хоча б один раз, перед оцінкою виразу, його ще називають циклом перевірки.*/

/*ПРАКТИЧНІ ПИТАННЯ

1. Запитайте у користувача два числа. Перевірте, чи є кожне з введених значень числом. 
Якщо ні, то запитуйте у користувача нове занчення до тих пір, поки воно не буде числом. 
Виведіть на екран всі числа від меншого до більшого за допомогою циклу for.*/

'use strict'

let numFirst = prompt('Введіть, будь-ласка, будь-яке число');
while (numFirst != Number(numFirst)) {
    numFirst = prompt('Ви ввели не число! Введіть, будь-ласка, будь-яке число');
}
// console.log(numFirst);

let numSecond = prompt('Введіть, будь-ласка, ще одне число')
while (numSecond != Number(numSecond)) {
    numSecond = prompt('Ви ввели не число! Введіть, будь-ласка, ще одне число');
}
// console.log(numSecond);

if(numFirst <= numSecond){
    for(let i = numFirst; i <= numSecond; i++){
        console.log('i', i);
    }
}else{
    for(let i = numSecond; i <= numFirst; i++){
        console.log('i', i);
    }
}


/*2. Напишіть програму, яка запитує в користувача число та перевіряє, чи воно є парним числом. 
Якщо введене значення не є парним числом, то запитуйте число доки користувач не введе правильне значення.*/

let numUser = Number(prompt('Введіть, будь-ласка, парне число!'));


while (numUser % 2 !== 0) {
    numUser = Number(prompt('Ви ввели не парне число! Введіть, будь-ласка, парне число!'));
}

console.log(numUser);



